Redmine - Defect #8554

Translation missing error on custom field validation
2011-06-07 15:11 - Pierre Pretorius

Status: Closed Start date: 2011-06-07
Priority: Low Due date:

Assignee: Jean-Baptiste Barth % Done: 100%
Category: Issues Estimated time: 2.00 hours
Target version: 1.2.1

Resolution: Fixed Affected version: 1.2.0
Description

When going to the project "issues" page, | add a filter on my "Patch name" custom field that is a normal text box. | set the filter to "is"
and leave the input box blank. When clicking apply, instead of providing a message such as "Patch name can't be blank" it throws a
big red box that displays: "Translation field_Patch name can't be blank." Please see attached screen shot. | had this problem with
1.1.0 and it's still there with 1.2.0.

Redmine is awesome!!! Keep up the good work :)

Associated revisions

Revision 6126 - 2011-06-27 03:03 - Jean-Baptiste Barth

Fixed: queries error messages about custom fields output a 'translation missing' error (#8554).

History

#1 - 2011-06-27 03:04 - Jean-Baptiste Barth
- Status changed from New to Resolved

- Assignee set to Jean-Baptiste Barth

- Target version set to 1.2.1

- % Done changed from 0 to 100

- Resolution set to Fixed

| pushed a workaround in r6126. Maybe it's not the best solution, we'll see if we merge it or if we find a better solution before 1.2.1 release. Thanks for
reporting, and thanks for the kind words :)

#2 - 2011-06-27 17:05 - Etienne Massip

It does the job very well.

#3 - 2011-07-02 19:43 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.2-stable, thanks.
